Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-6217

site.pp with file resource containing UTF8 failing on certain platforms

    Details

    • Type: Bug
    • Status: Needs Information
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:

      Description

        jzhs4gu5sg0xuan.delivery.puppetlabs.net (sles10-64-1) 20:41:15$ puppet agent -t --environment supports_utf8_y3vl7m8o --server szl38k2b9kcl48n.delivery.puppetlabs.net
            Info: Using configured environment 'supports_utf8_y3vl7m8o'
            Info: Retrieving pluginfacts
            Info: Retrieving plugin
            Info: Caching catalog for jzhs4gu5sg0xuan.delivery.puppetlabs.net
            Info: Applying configuration version '1461296478'
            Error: invalid byte sequence in US-ASCII
            Error: /Stage[main]/Main/File[/tmp/supports_utf8_y3vl7m8o.xW6229]/content: change from {md5}d41d8cd98f00b204e9800998ecf8427e to {md5}f1c1271f5e21eba48374b96e43caddc1 failed: invalid byte sequence in US-ASCII
            Notice: Applied catalog in 0.13 seconds
      

      see:
      https://github.com/puppetlabs/puppet/blob/stable/acceptance/tests/direct_puppet/supports_utf8.rb
      (we can't use expect_failure() in that test, so test will have to be unskipped when this is fixed)

      failing on:

      • arista4-32
      • cumulus25-64
      • osx1009
      • osx1010
      • osx1011
      • sles10

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  moses Moses Mendoza
                  Reporter:
                  erict Eric Thompson
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  6 Start watching this issue

                  Dates

                  • Created:
                    Updated: